from collections import OrderedDict

grammar = OrderedDict(
    {
        "Telheader_Quelle": {
            "type": "str",
            "length": 10,
            "dp": False,
            "ubl_path": False,
            "df_val": False,
            "df_func": "get_source",
        },
        "Telheader_Ziel": {
            "type": "str",
            "length": 10,
            "dp": False,
            "ubl_path": False,
            "df_val": False,
            "df_func": "get_destination",
        },
        "Telheader_TelSeq": {
            "type": "int",
            "length": 6,
            "dp": False,
            "df_val": False,
            "df_func": "get_sequence_number",
        },
        "Telheader_AnlZeit": {
            "type": "datetime",
            "length": 14,
            "dp": False,
            "df_val": False,
            "df_func": "get_current_datetime",
        },
        "Satzart": {
            "type": "str",
            "length": 9,
            "dp": False,
            "df_val": "ARTEAN001",
            "df_func": False,
        },
        "ArtEan_AId_Mand": {
            "type": "str",
            "length": 3,
            "dp": False,
            "dict_key": False,
            "df_val": "000",
            "df_func": False,
        },
        "ArtEan_AId_ArtNr": {
            "type": "str",
            "length": 20,
            "dp": False,
            "dict_key": "product",
            "df_val": False,
            "df_func": False,
        },
        "ArtEan_AId_Var": {
            "type": "str",
            "length": 5,
            "dp": False,
            "dict_key": False,
            "df_val": "00000",
            "df_func": False,
        },
        "ArtEan_EAN": {
            "type": "str",
            "length": 14,
            "dp": False,
            "dict_key": "barcode",
            "df_val": False,
            "df_func": False,
        },
        "ArtEan_EST_Einheit": {
            "type": "str",
            "length": 5,
            "dp": False,
            "dict_key": "product_uom",
            "df_val": False,
            "df_func": False,
        },
        "ArtEan_SatzKz": {
            "type": "str",
            "length": 1,
            "dp": False,
            "dict_key": "game_identifier",
            "df_val": False,
            "df_func": False,
        },
    }
)
